html {
    scrollbar-face-color: #99b;
    scrollbar-arrow-color: #fff;
    scrollbar-highlight-color: #fff;
    scrollbar-shadow-color: #99c;
    scrollbar-3dlight-color: #000;
}

body {
    margin: 0;
    padding: 0;
    background: #f0f0ff url(/media/BACKGROUND.gif);
    color: #000;
    font: 12px "Lucida Grande", Helvetica, "Arial Unicode MS", "Arial Unicode", Arial, sans-serif;
    color: #333;
    text-align: center;
}


/*
 * Main Structure, wrap the whole layout in a div to keep it narrow and centered
 */

#wrapper {
    position: relative;
    width: 770px;
    margin: 0 auto;
    background: #f8f8ff url(/media/columns.png) top center repeat-y;
    text-align: left;
    z-index: 10;
}

/* Header */

#header {
    clear: both;
    background: #369;
    position: relative;
}

#masthead {
    width: 490px;
    padding: 1px 0 1px 40px;
}

#searchbox {
    position: absolute;
    top: 8px;
    right: 8px;
    width: 280px;
    padding: 0px 10px 14px 0;
    border: 1px solid white;
    text-align: right;
    border-radius: 4px;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
}

#searchbox label strong {
    text-decoration: underline;
}

h1.sitetitle {
    font-size: 32px;
    margin: 8px 0 15px;
}

h1 a, h1 a:link, h1 a:visited, h1 a:hover {
    color: #fff;
    text-decoration: none;
}

.subtitle {
    font-size: .5em;
}

.motto {
    margin: 12px 0;
    color: #def;
    font-weight: bold;
}

/* Secondary Navigation, a styled list */

#otherstuff {
    margin: 0;
    padding: 0;
    clear: both;
    border-top: 1px white solid;
    list-style: none inside;
}

#otherstuff li {
    width: 191px;
    float: left;
    background: #99c;
    border: solid white;
    border-width: 0 0 0 1px;
    text-align: center;
}

#otherstuff li:first-child {
    border: none;
    padding-left: 1px;
}

#otherstuff li a {
    display: block;
    width: 191px;
    padding: 3px 0;
}

#otherstuff li a:hover {
    background: #9f9fd6;
}

/* Main Content Area */

#main {
    clear: both;
    border-top: 1px solid #fff;
    margin-left: 25px;
}

/* Contentsia */

#content {
    float: left;
    width: 500px;
    margin: 10px 0 100px 0;
    background: #f8f8ff;
    line-height: 1.8;
    text-align: justify;
}

a img {
    border: none;
}

.centered {
    text-align: center;
}

.right {
    float: right;
}

/* Sidebar */

#navigation {
    margin: 5px 5px 15px 529px;
    color: #fff;
    text-align: right;
}

.section {
    background: #039;
    border: 5px solid #fff;
    font-size: 1.3em;
    border-bottom-width: 0;
}

.section a.nav, .section a.nav:visited {
    color: #ccf;
    display: block;
    padding: 5px 0;
}

#navigation .primary, #navigation .secondary {
    margin-bottom: 10px;
    border: 5px solid #fff;
    line-height: 1.3;
    padding-bottom: 5px;
    border-radius: 9px;
    -moz-border-radius: 9px;
    -webkit-border-radius: 9px;
}

#navigation #guide {
    margin: 7px 0 10px;
    padding: 0.6em 0 1em;
    background: #369;
    font-weight: bold;
    font-size: 115%;
}

.primary p {
    margin: 1.2em 5px 1.2em 0;
}

#navigation .secondary {
    margin: 10px 0 50px;
    background: #039;
    padding: 2px 5px 0 5px;
}

#navigation #author {
    margin: 10px 0 50px;
    padding: 0px 5px 0 5px;
    background: #369;
    text-align: justify;
}

.icon {
    vertical-align: top;
}

/* Footer */

#footer {
    clear: both;
    background: #369;
    color: #fff;
    font-weight: bold;
}

#footer p {
    margin: 0;
    padding: 7px 9px;
    text-align: right;
}

p#vroom {
    float: left;
    width: 540px;
    text-align: center;
}

#footer a.more {
    color: #fff;
    font-weight: bold;
}

#footer a.more:active {
    color: #fc0;
}

/* Main trim */

.pathbar {
    font-weight: bold;
    border: silver solid 1px;
    border-width: 1px 0;
    margin: 8px 0 12px 0;
    padding: 3px 0;
    line-height: 1.3;
}

.pathbar a {
    white-space: nowrap;
}

#endlinks hr {
    margin: 16px 0;
    height: 2px;
}

#endlinks .pathbar {
    margin: 10px 0 15px;
}

.pathtitle {
    color: #a3f;
    text-transform: uppercase;
}

.boxhead {
    color: #ccf;
    font-weight: bold;
    margin: 7px 0 1em 0;
}

/* Forms */

input.searchbox {
    width: 170px;
    vertical-align: middle;
    padding: 4px 6px;
    background: #fff;
    border: #000 1px solid;
    font-family: "Lucida Grande", Helvetica, "Arial Unicode MS", "Arial Unicode", Arial, sans-serif;
}

.searchbox:focus {
    background: #ffb;
    background: -webkit-gradient(linear, left top, left bottom, from(#ffc), to(#ffe));
}

input.button {
    height: 24px;
    vertical-align: middle;
    padding: 4px 8px 4px;
    background: #99c;
    color: #fff;
    font: bold 1em "Lucida Grande", Helvetica, "Arial Unicode MS", "Arial Unicode", Arial, sans-serif;
    cursor: pointer;
    -webkit-appearance: push-button;
    border: 1px solid #000;
    border-radius: 2px;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
    background: -webkit-gradient(linear, left top, left bottom, from(#aad), to(#88b));
}

input.button:active {
    background: -webkit-gradient(linear, left top, left bottom, from(#66a), to(#88b));
}

#search-callout {
    position: absolute;
    left: 315px;
    top: 20px;
    font: 11px/1.4 Verdana;
    -webkit-box-shadow: 5px 9px 10px #dfddd5;
    cursor: pointer;
}

#search-callout button {
    width: 110px;
    padding: 11px;
    background: #eff39f;
    text-align: left;
    border: 1px outset #7b6;
    border-radius: 7px;
    -moz-border-radius: 7px;
    border: 2px outset orange;
    padding: 2px;
    border-radius: 7px;
    -moz-border-radius: 7px;
    cursor: pointer;
    z-index: 1;
}

#search-callout button:hover {
    color: green;
    border-color: #bf4;
}

#search-callout img {
    position: absolute;
    top: 11px;
    right: 107px;
    z-index: 10;
}

/* Content,Text Formatting and the like */

h1.maintitle {
    margin: 15px 0 12px;
    text-align: center;
    font: bold 38px "Arial Rounded MT Bold", "Arial Rounded Bold", "Lucida Grande", "Lucida Sans Unicode", Helvetica, "Arial Unicode MS", "Arial Unicode", Arial, sans-serif;
    color: #039;
}

.byline {
    margin-top: -6px;
    text-align: right;
}

.byline a.more:link, .byline a.more:visited {
    color: #f40;
    font-weight: bold;
}

.byline a.more:hover {
    color: #f00;
}

h2.heading {
    padding: 20px 0 3px;
    font: bold 1.4em "Lucida Grande", Helvetica, "Arial Unicode MS", "Arial Unicode", Arial, sans-serif;
    color: #00e;
    border-bottom: 1px solid #00e;
    letter-spacing: 1px;
}

h3.subhead {
    padding: 20px 0 5px;
    font: 1.2em "Lucida Grande", Helvetica, "Arial Unicode MS", "Arial Unicode", Arial, sans-serif;
    color: #906;
    border-bottom: 1px solid #906;
    width: 80%;
}

h3.minorhead {
    color: #00f;
    font-size: 1em;
    margin: 2em 0 -0.6em 0;
}

h2.heading:target, h3.subhead:target {
    background: #ffd;
    background: -webkit-gradient(linear, right top, left bottom, from(#f8f8ff), to(#ffc));
    padding-left: 5px;
    border-radius: 10px 10px 0 0;
    -webkit-border-radius: 10px 10px 0 0;
    -moz-border-radius: 10px 10px 0 0;
}

hr.blue {
    color: #03c;
    height: 3px;
    text-align: center;
    background: #03c;
    border: none;
    margin: 7px 0;
}

hr.big {
    height: 5px;
    margin-top: -8px;
}

hr.white {
    color: white;
    height: 1px;
    background: #fff;
    border: none;
    border-top: 1px solid white;
}

.intro {
    padding: 5px 30px 1.2em;
    color: #446;
    font-size: 120%;
}

.intro strong {
    text-transform: lowercase;
    font-variant: small-caps;
    font-weight: normal;
    font-size: 120%;
}

.pagenavbox {
    margin: 1em 0 0.5em;
    padding: 5px;
    text-align: center;
    background-color: #efefff;
    border: 1px solid #fff;
    font-weight: bold;
    line-height: 1.4em;
    border-radius: 2px;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
}

.lastmodified {
    padding: 2px 4px;
    background: #e6f9f8;
    border: 1px solid #d9e9e4;
    font-size: 90%;
    color: #593;
    text-align: right;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    cursor: default;
}

.help {
    cursor: help;
    color: #444;
    border-bottom: 1px dotted #9c0;
}

dfn.help {
    font-style: italic;
}

acronym.help {
    border-color: #c39;
}

.wellspaced li,.wellspaced dt {
    margin-top: 1.3em;
}

.sourcegray {
    color: #44a;
    font-weight: bold;
    font-style: normal;
}

img.inset {
    float: right;
    padding: 5px;
    margin: 5px 0 5px 10px;
    border: 1px solid #dde;
}

img.inset.left {
    float: left;
    margin: 5px 10px 5px 0;
}

ul.circle {
    list-style-type: circle;
}

/* Code */

p.code {
    padding: 5px 2px 5px 16px;
    border: 4px solid #fff;
    background: #fcfcff;
    text-align: left;
    border-radius: 2px;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
}

code {
    font-size: 0.9em;
    font-family: Verdana, "Courier New", Courier, monospace;
    color: #32a;
}

.css {
    color: #180;
}

.css strong {
    font-weight: 400;
    font-size: 120%;
    padding-right: 5px;
}

.js {
    font-size: .85em;
    color: #a06;
    font-family: Verdana, "Lucida Grande", Helvetica, "Arial Unicode MS", "Arial Unicode", Arial, sans-serif;
}

code.js {
    white-space: nowrap;
}

pre.js {
    width: 484px;
    overflow: hidden;
    border: 3px #fdd double;
    padding: 3px 5px;
    background: #fcfaff;
}

.codecomment {
    background: #fff;
    border-bottom: 1px solid #fdd;
    font-size: 110%;
    font-family: "Lucida Sans Unicode";
}

.php, pre.php code {
    color: #63c;
    font: 1em/1.4 Inconsolata, "Lucida Console", "Courier New", Courier, monospace;
}

pre.php {
    background: #fff3ff;
    border: 1px #83c dotted;
    padding: 4px 2px 2px 12px;
}

.cgi {
    color: #939;
}

pre.cgi {
    font: 1em Verdana, Courier, monospace;
    border: 2px dotted #c6c;
    padding: 2em;
}

.unix {
    color: #890;
    font: 1em/1.4 "Lucida Sans Unicode", Helvetica, "Arial Unicode MS", "Arial Unicode", Arial, sans-serif;
}

samp.eg, var.eg {
    font: 1em "Lucida Console", "Courier New", Courier, monospace;
    color: #446;
    border-bottom: 1px dashed #aab;
    white-space: nowrap;
}

kbd {
    font: 1em "Lucida Console", "Courier New", Courier, monospace;
    color: #556;
    border-bottom: 1px solid #dde;
}

kbd.key {
    padding: 1px 2px 0;
    border: 1px solid #dde;
    border-right: 2px #cbc solid;
    border-bottom: 2px #cbc solid;
    white-space: nowrap;
}

/* Compatibility Notes */

.compatibility {
    background-color: #229;
    color: #fff;
    margin: 10px 4%;
    padding: 0 10px;
    border: 3px #9999ff solid;
    border-radius: 2px;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
}

.compatibility strong.heading {
    display: block;
    border-bottom: 1px dashed #fff;
    margin-bottom: 1em;
    font: italic 1.2em "Trebuchet MS"
}

.compatibility p {
    margin: 0.7em;
    line-height: 1.7;
}

.compatibility a:link, .compatibility a:visited {
    color: #fff;
    font-weight: bold;
}

.compatibility code {
    color: #ebebff;
    font-size: 1em;
}

.compatibility .css {
    color: #deffde;
}

.compatibility code.js {
    color: #ffe0e0;
}

.validationerror {
    background-color: #ffffe0;
    margin: 5px 4%;
    padding: 0 15px;
    border: 3px #ff9900 solid;
}

/* Source Tips */

.sourcetip {
    background: #88b;
    color: white;
    padding: 7px;
    border: 2px dotted white;
    line-height: 1.4em;
    border-radius: 2px;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
}

.sourcetip code {
    color: #ebebff;
    font-size: 1em;
}

.sourcetip .css {
    color: #deffde;
}

.sourcetip code.js {
    color: #ffe0e0;
}

.sourcetip a.nav3:link, .sourcetip a.nav3:visited {
    text-decoration: underline;
}

/* Future Watch */

div.futurewatch {
    padding: 15px;
    margin: 10px;
    border: 1px dotted #f66;
    background: #fffaff;
    border-radius: 2px;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
}

.futurewatch h2 {
    font: italic 1.2em "Trebuchet MS";
    color: #f60;
    border-bottom: 1px dotted #f60;
}

.futurewatch ul {
    list-style-type: circle;
}

.important {
    padding: 8px 10px 7px 20px;
    border: #3c0 1px solid;
    border-radius: 6px;
    -webkit-border-radius: 6px;
    -moz-border-radius: 6px;
}

*>.important {
    background: #fff;
    -moz-border-radius: 4px;
}

.important legend {
    padding: 1px 15px;
    background: #f3fff3;
    border: #3c0 1px solid;
    color: #3a0;
    font: 1.2em "Trebuchet MS";
    -moz-border-radius: 4px;
}

/* Search Highlighting */

#searchhioption {
    font: 95%/1.4 "Lucida Grande", "Lucida Sans Unicode", "Lucida Sans", Helvetica, Arial, "Arial Unicode";
    padding: 9px 6px 10px;
    background: #cf9;
    border: 1px dotted #9c0;
    border-radius: 2px;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
}

#searchhioption button {
    float: right;
    margin: 2px 0px 0 10px;
    padding: 1px 6px 2px;
    line-height: 1.2em;
}

#content .searchword {
    border-bottom: 1px solid #bd6;
    background: #e6ffdc;
}

#content .maintitle .searchword,#content .pathbar .searchword,#content .compatibility .searchword,#content .sourcetip .searchword,#content #searchhioption .searchword {
    background: transparent;
    border-bottom: none;
}

/* Sidebar Boxes */

#feedback {
    margin: 100px 0 200px;
    text-align: center;
    border: 3px outset #fff;
    background: #77b;
    padding: 7px;
    border-radius: 4px;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
}

#feedback a {
    color: #fdf;
    text-decoration: underline;
}

#profile-photo {
    float: left;
    margin: 0 6px 3px 0;
    border-radius: 10px;
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
}

/* Money spinnin' */

.luchre {
    margin: 6px 0;
    background: #e9e6f9;
    font: 11px Verdana;
    color: #333;
    border: 1px solid #669;
    padding: 4px 3px 3px 0;
}

*>.txtad {
    border: 1px dotted #669;
}

.luchre p {
    margin: 4px 0;
}

.luchre a.nav2 {
    font-weight: normal;
}

#sideline-ad {
    position: absolute;
    top: 106px;
    right: -195px;
    width: 170px;
    min-width: 150px;
    min-height: 200px;
    padding: 8px;
    border-radius: 10px;
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
    text-align: center;
    color: #333;
}

.patch {
    margin: 25px 0;
}

#sideline-ad p {
    border: 1px solid #eeeeee;
    border-radius: 6px;
    padding: 4px;
    -moz-border-radius: 6px;
    -webkit-border-radius: 6px;
    background: #fff;
    font-size: 130%;
}

#sideline-ad a {
    font-weight: normal;
    cursor: pointer;
}

/**
 * AdSense styling
 */

 
#adsense {
    margin: 3em 0 0 0;
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
    border-radius: 10px;
}

#adbrite {
    margin: 15px 0 -10px;
    border: 1px dotted #ce9;
    background: #e8fcd9;
    color: #333;
    padding: 4px 10px;
    -moz-border-radius: 10px;
}

#adbrite div {
    border-top: 1px solid #dec;
}

.featured {
    margin: 30px 0;
    padding: 7px 4px;
    border: 2px dotted #090;
    background: #e8fcd9;
    color: #333;
    border-radius: 4px;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
}

.featured p {
    margin: 3px 0;
}

*>.featured {
    border-width: 1px;
}

/* Aside content */

#asidecontent {
    width: 450px;
    background-color: #fff;
    border: 3px solid #99c;
    margin: 2em auto 2em auto;
    padding: 20px 30px 30px 30px;
    text-align: left;
    line-height: 1.6;
}

/* Wide headings */

h2.bg {
    font-size: 1em;
    color: #fff;
    padding: 0 2px;
    padding-left: 40px;
}

h2.one {
    margin: 30px 0;
    background: #039 url(/media/heading.gif) no-repeat;
}

h2.two {
    background: #88b url(/media/heading2.gif) no-repeat;
    margin: 0;
}

h2.three {
    background: #cc9 url(/media/heading3.gif) no-repeat;
}

h2.four {
    background: #3c3 url(/media/heading4.gif) no-repeat;
}

/* Links */


a {
    font-weight: bold;
}

a:link {
    color: #0033cc;
}

a:visited {
    color: #81b;
}

a:active {
    color: #4682b4;
}

a:hover {
    color: #9999ff;
}

a.nav:link {
    color: #ccccd9;
    text-decoration: none;
}

a.nav:visited {
    color: #b9b9cf;
    text-decoration: none;
}

a.nav:active {
    color: black;
}

a.nav:hover {
    color: white;
}

a.nav2, #url a.nav2:link {
    font-weight: bold;
    color: #554477;
    text-decoration: underline;
}

a.nav2:link {
    color: #554477;
    text-decoration: underline;
}

a.nav2:visited {
    color: #333399;
    text-decoration: none;
}

a.nav2:active {
    color: #CC3399;
}

a.nav2:hover {
    color: #0066CC;
    text-decoration: none;
}

a.nav3:link {
    color: #f6f6ff;
    text-decoration: none;
}

a.nav3:visited {
    color: white;
    text-decoration: none;
}

a.nav3:active {
    color: #ffcc00;
}

a.nav3:hover {
    color: black;
}

a.pagenav:link, .pagenav:visited {
    color: #547;
    text-decoration: none;
    letter-spacing: -1px;
}

a.pagenav:active {
    color: red;
}

a.pagenav:hover {
    color: #e60;
}

a.pagenav2:link, .pagenav2:visited {
    color: #558;
    text-decoration: none;
    font-size: .9em;
    font-weight: normal;
}

a.pagenav2:active {
    color: #6c0;
}

a.pagenav2:hover {
    color: #000;
}

a.books:link, a.books:visited {
    color: #390;
}

a.books:hover {
    color: #3b0;
}

a.books img {
    border-color: #390;
}

a.more:link {
    color: #003377;
    text-decoration: none;
    font-weight: normal;
}

a.more:visited {
    color: #000;
    text-decoration: none;
    font-weight: normal;
}

a.more:active {
    color: blue;
    text-decoration: underline;
}

a.more:hover {
    color: #30c;
    text-decoration: underline;
}

a.resource:link {
    color: #eeeeff;
    text-decoration: underline;
}

a.resource:visited {
    color: #fff;
    text-decoration: none;
}

a.resource:active {
    color: #fc0;
}

a.resource:hover {
    color: #fff;
}

.secondary > p > a.resource {
    display: block;
    margin-bottom: -1em;
    background: #24a;
    border: solid #36b;
    border-width: 1px 0;
    padding: 3px 1px 3px 0;
    text-decoration: none;
}

.secondary >p> a.resource:hover {
    background: #34b;
}

a.example {
    background: url(/media/example.png) left top no-repeat;
    padding: 2px 0 2px 20px;
}

a.example:link {
    color: #009;
    text-decoration: none;
}

a.example:visited {
    color: #60c;
    text-decoration: none;
}

a.example:active {
    color: #93f;
}

a.example:hover {
    color: #f90;
    text-decoration: none;
}

#update09 {
    float: left;
    margin: 1em 15px 0 -2px;
    width: 130px;
    padding: 8px;
    background: #cff39f;
    border: 1px outset #7b6;
    border-radius: 7px;
    -moz-border-radius: 7px;
    -webkit-border-radius: 7px;
    text-align: left;
    font: 11px/1.4 Verdana;
    -webkit-box-shadow: 5px 9px 10px #dfddd5;
}

#uphead, #uphead a {
    margin: 0;
    font: bold 14px "Lucida Grande";
    color: #482;
}

#google_translate_element .skiptranslate.goog-te-gadget, #google_translate_element .goog-logo-link {
    color: white !important;
    font-weight: normal !important;
}

.reflicense {
    color: #44a;
    font-size: 90%;
    line-height: 1.5;
}